class_name Flute

var scene_node = null

func set_scene_parent(node: Node) -> void:
	scene_node = node



func jouer_melodie(player_position, direction_balle, angle) -> void:
	spawn_balle(player_position, direction_balle, angle)


func spawn_balle(player_position, direction_balle, angle) -> void:
	if scene_node == null:
		print("Erreur : Aucun nœud parent défini pour ajouter la balle.")
		return
		
	var balle = preload("res://scenes/attaques/Balle.tscn").instantiate()
	if balle:
		balle.position = player_position 
		balle.initial_direction = direction_balle
		balle.rotation = deg_to_rad(angle)
		scene_node.add_child(balle)
		

	else:
		print("Erreur : la création de la balle a échoué.")
